%if "%{?rhel}" == "6" 
%global _jarsign_opts --unsign=%{_javadir} 
%endif


%define section .GA
%define reltag _redhat_2
%define namedreltag -redhat-2
%global namedversion  %{version}%{?section}%{?namedreltag}

%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

%define maven_version 2.0.0.GA-redhat-2

Name:           jboss-threads
Version:        2.0.0
Release:        7%{?section}%{?reltag}%{?dist}
Epoch:          0
Summary:        JBoss Threads
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: org.jboss.threads-jboss-threads-2.0.0.GA-redhat-2-sources.zip
Source101: org.jboss.threads-jboss-threads-2.0.0.GA-redhat-2-patches.zip
Source102: jboss-threads-2.0.0.GA-redhat-2-sources.jar
Source103: jboss-threads-2.0.0.GA-redhat-2.pom
Source104: jboss-threads-2.0.0.GA-redhat-2-javadoc.jar
Source105: jboss-threads-2.0.0.GA-redhat-2.jar
%endif

URL:            http://www.jboss.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

%if %without mead
BuildRequires: %{name}-mead = %{version}%{?section}%{?reltag}
%endif
BuildRequires: unzip

Requires:       jpackage-utils
Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

%description
Common classes for security projects

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}

%prep
                                                                                                     
%build
                                                                                                     
%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}

for artifactId in \
                  jboss-threads \
              ; do
#poms
%add_to_maven_depmap org.jboss.threads ${artifactId} %{namedversion} JPP ${artifactId}
install -pD -T -m 644 %{_sourcedir}/${artifactId}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-${artifactId}.pom

#jars
install -pD -T -m 644 %{_sourcedir}/${artifactId}-%{namedversion}.jar %{buildroot}%{_javadir}/${artifactId}-%{namedversion}.jar
install -pD -T -m 644 %{_sourcedir}/${artifactId}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/${artifactId}-%{namedversion}-sources.jar
#install -pD -T -m 644 %{_sourcedir}/${artifactId}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/${artifactId}-%{namedversion}-javadoc.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{namedversion}||g"`; done)


#javadoc
unzip -d $RPM_BUILD_ROOT%{_javadocdir}/${artifactId}-%{namedversion} %{_sourcedir}/${artifactId}-%{namedversion}-javadoc.jar
rm -rf $RPM_BUILD_ROOT%{_javadocdir}/${artifactId}-%{namedversion}/META-INF
(cd %{buildroot}%{_javadocdir} && ln -s ${artifactId}-%{namedversion} ${artifactId})

done

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap
                                                                                                     
%files
%defattr(0644,root,root,0755)
%{_javadir}*/*jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{namedversion}

%changelog
* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.0-7.GA_redhat_2
- Rebuild for MD5

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:2.0.0-6.GA_redhat_2
- Update pom patch for eap 6.0.1

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.0-5.GA_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.0-5.GA_redhat_1.1
- Rebuild using cache signing

* Thu May 31 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.0-5.GA_redhat_1
- Remove javadocs from main package

* Wed Mar 14 2012 Lin Gao <lgao@redhat.com> - 0:2.0.0-4.GA_redhat_1.1
- Use new wrapper
- Change jars install path

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 0:2.0.0-4.GA_redhat_1
- Rebuild to use new signing key

* Thu Feb 02 2012 Lin Gao <lgao@redhat.com> - 0:2.0.0-3.GA_redhat_1
- clean build
- rebuild for sign with new key

* Wed Aug 24 2011 Lin Gao <lgao@redhat.com> - 0:2.0.0-GA-2
- Upgrade to 2.0.0.GA
- mead build
- wolf build

* Wed Jun 01 2011 Weinan Li <weli@redhat.com> - 0:2.0.0-CR9-SNAPSHOT-1
- Upgrade to 2.0.0-CR9-SNAPSHOT
- Disable javadoc generation because in this version of jboss-threads the javadoc goal is broken

* Fri Nov 10 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-2.3
- Build with maven 2.2.1
- Change BR maven-release to maven-release-plugin
- Add BR maven-deploy-plugin, maven-site-plugin

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-2.2.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redha.com> 0:1.0.0-2.2
- Rebuild
- Fix depmap entry for dtdparser

* Tue Feb 02 2010 David Walluck <dwalluck@redhat.com> 0:1.0.0-2.1
- fix installed depmap for metadata jar
- aggregate javadocs
- fix repolib

* Thu Nov 12 2009 Yong Yang <yyang@redhat.com> - 0:1.0.0-2
- Add repolib

* Mon Aug 31 2009 Ralph Apel <r.apel@r-apel.de> - 0:1.0.0-1
- first release

